View Issue Details

IDProjectCategoryView StatusLast Update
0001993Ham Radio DeluxeBugpublic2017-05-16 00:50
ReporterWA9PIE 
Assigned ToERIK 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.647 
Summary0001993: WSI not calculating for some spots in DX Cluster
DescriptionThis was occasional before 637. Now it happens at initial connection every time.

(Minor point, the Freq field is also squished until all the WSI has been calculated for all spots.)
Steps To ReproduceLaunch Logbook
Connect to a cluster
Observe
TagsNo tags attached.
ModuleLogbook
Sub-ModuleDX Cluster
Testing

Relationships

Activities

WA9PIE

2017-03-08 20:27

administrator   ~0003129

I've confirmed all these in the List of 5

WA9PIE

2017-03-08 21:49

administrator   ~0003134

Adding a copy of my log for testing purposes.

Dropbox\HRD alpha builds\Mike logs

WA9PIE

2017-03-20 00:38

administrator   ~0003150

Build 640: WSI calculation is much worse. Image attached.

WSI-004.JPG (321,666 bytes)

WA9PIE

2017-03-20 00:48

administrator   ~0003152

Erik,

After thinking about this a bit... given the testing we did with WSI... if you're saying that the right data is going in and coming out... then I feel like the wrong symbol is being printed to the screen.

I seem to remember a while back - after we made the initial updates to WSI - that the symbols would change twice when you first loaded the WSIs. The first was different from the second... and there were a bunch of odd symbols, like a yield sign with a plus on it (that we don't use). But the whole thing causes me to feel like it's calculating properly, but printing the wrong symbols... or being over-written.

WA9PIE

2017-03-22 21:32

administrator   ~0003159

642 Build still inaccurate

642-WSI b.JPG (267,699 bytes)

WA9PIE

2017-03-22 22:19

administrator   ~0003160

Last edited: 2017-03-22 22:21

View 2 revisions

642 build... this is actually pretty bad. But see the attached image.

Those spots that existed WHEN I made the QSO... got changed from red to green after the QSO (with the "Sync WSI with Logbook".

But the one that came after, was accurately shown as yellow.

I tried turning off the "Sync WSI with Logbook" and it made no difference. Further, after restarting Logbook, both the lookup pane and the DX cluster still show inaccurate WSI values.

Mike



642-WSI c.JPG (240,409 bytes)
642-WSI c.JPG (240,409 bytes)

Issue History

Date Modified Username Field Change
2017-03-08 20:18 WA9PIE New Issue
2017-03-08 20:18 WA9PIE Status new => assigned
2017-03-08 20:18 WA9PIE Assigned To => ERIK
2017-03-08 20:27 WA9PIE Note Added: 0003129
2017-03-08 21:49 WA9PIE Note Added: 0003134
2017-03-20 00:38 WA9PIE File Added: WSI-004.JPG
2017-03-20 00:38 WA9PIE Note Added: 0003150
2017-03-20 00:48 WA9PIE Note Added: 0003152
2017-03-22 21:32 WA9PIE File Added: 642-WSI b.JPG
2017-03-22 21:32 WA9PIE Note Added: 0003159
2017-03-22 22:19 WA9PIE File Added: 642-WSI c.JPG
2017-03-22 22:19 WA9PIE Note Added: 0003160
2017-03-22 22:21 WA9PIE Note Edited: 0003160 View Revisions
2017-05-16 00:49 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-05-16 00:50 WA9PIE Status assigned => closed
2017-05-16 00:50 WA9PIE Resolution open => fixed
2017-05-16 00:50 WA9PIE Fixed in Version => 6.4.0.647